## org.hibernate.ejb.criteria.expression.function
Class LocateFunction

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<X>
                      org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression<Integer>
                          org.hibernate.ejb.criteria.expression.function.LocateFunction

All Implemented Interfaces:
  Serializable, Expression<Integer>, Selection<Integer>, TupleElement<Integer>, FunctionExpression<Integer>, ExpressionImplementor<Integer>, ParameterContainer, Renderable, SelectionImplementor<Integer>, TupleElementImplementor<Integer>

    public class LocateFunction

extends BasicFunctionExpression<Integer>
implements Serializable

Models the ANSI SQL `LOCATE` function.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Field Summary
`static String` `NAME`

Constructor Summary
`LocateFunction(CriteriaBuilderImpl criteriaBuilder, Expression<String> pattern, Expression<String> string)`
`LocateFunction(CriteriaBuilderImpl criteriaBuilder, Expression<String> pattern, Expression<String> string, Expression<Integer> start)`
`LocateFunction(CriteriaBuilderImpl criteriaBuilder, String pattern, Expression<String> string)`
`LocateFunction(CriteriaBuilderImpl criteriaBuilder, String pattern, Expression<String> string, int start)`

Method Summary
`Expression<String>` `getPattern()`
`Expression<Integer>` `getStart()`
`Expression<String>` `getString()`
`void` `registerParameters(ParameterRegistry registry)` Register any parameters contained within this query component with the given registry.
`String` `render(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from class org.hibernate.ejb.criteria.expression.function.BasicFunctionExpression
`getFunctionName, isAggregation, properSize, renderProjection`

Methods inherited from class org.hibernate.ejb.criteria.expression.ExpressionImpl
`as, asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### LocateFunction

    public LocateFunction(CriteriaBuilderImpl criteriaBuilder,
                          Expression<String> pattern,
                          Expression<String> string,
                          Expression<Integer> start)

### LocateFunction

    public LocateFunction(CriteriaBuilderImpl criteriaBuilder,
                          Expression<String> pattern,
                          Expression<String> string)

### LocateFunction

    public LocateFunction(CriteriaBuilderImpl criteriaBuilder,
                          String pattern,
                          Expression<String> string)

### LocateFunction

    public LocateFunction(CriteriaBuilderImpl criteriaBuilder,
                          String pattern,
                          Expression<String> string,
                          int start)

Method Detail

### getPattern

    public Expression<String> getPattern()

### getStart

    public Expression<Integer> getStart()

### getString

    public Expression<String> getString()

### registerParameters

    public void registerParameters(ParameterRegistry registry)

  Description copied from interface: `ParameterContainer`
  Register any parameters contained within this query component with the given registry.

  Specified by:
    `registerParameters` in interface `ParameterContainer`
  Overrides:
    `registerParameters` in class `BasicFunctionExpression<Integer>`
  Parameters:
    `registry` - The parameter registry with which to register.

### render

    public String render(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `render` in interface `Renderable`
  Overrides:
    `render` in class `BasicFunctionExpression<Integer>`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.